curl --request GET \
--url https://api.paxos.com/v2/identity/identities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/identity/identities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/identity/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_cursor": "<string>",
"items": [
{
"id": "f190b163-208f-4d73-8deb-4fb8b24add00",
"summary_status": "PENDING"
}
]
}List Identities
This endpoint enables you to fetch a list of Identities.
You can use query parameters to filter the results returned by created_at, updated_at, summary_status, identity_type, control_types, control_reason_codes, requirement_types, requirement_statuses and requirement_awaiting_action_from.
Note that this endpoint supports pagination and returns a cursor token for fetching next pages.
identity:read_identity
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Summary Status of the Identity.
PENDING, ERROR, APPROVED, DENIED, DISABLED Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.
Number of results to return.
Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.
DESC, ASC The specific method by which the returned results will be ordered.
CREATED_AT Cursor token for fetching the next page.
Optionally filter by Identity type
PERSON, INSTITUTION Optionally filter by active identity control types. Only returns identities with active controls matching any of these types.
SELL_ONLY, CLOSED, FROZEN, DORMANT Optionally filter by active identity control reason codes. Only returns identities with active controls matching any of these reason codes.
- OTHER: Miscellaneous reason not captured by existing categories.
- END_USER_REQUEST: Control applied at the end user's request.
- INACTIVITY: Control applied due to prolonged inactivity in accordance with dormancy or lifecycle management policies.
- COMPLIANCE_KYC: Control applied due to unmet KYC requirements, including missing, expired, failed, or unresponsiveness to refresh obligations.
- COMPLIANCE_EDD: Control applied due to Enhanced Due Diligence (EDD) requirements, including failure to complete EDD reviews, provide requested information, or satisfy heightened risk assessment criteria.
- COMPLIANCE_SCREENING: Control applied as a result of sanctions, politically exposed person (PEP), or adverse media screening hits.
- COMPLIANCE_INVESTIGATION: Control applied while an identity is under active compliance, risk, or regulatory investigation, including reviews triggered by monitoring alerts or external inquiries.
- COMPLIANCE_INCOMPLETE: Control applied because the onboarding process was not successfully completed, including failure to respond to requests for information or provide required documentation.
- RISK_FRAUD: Control applied due to suspected or confirmed fraud, abuse, or security risk, including account compromise, transaction fraud, or policy violations.
- LEGAL_ORDER: Control applied to comply with a legal, regulatory, or law-enforcement directive, including court orders, asset preservation requests, or regulatory instructions.
- ADMINISTRATIVE: Control applied for operational or platform-initiated reasons not attributable to the end user or compliance failure, such as system remediation or account restructuring.
OTHER, END_USER_REQUEST, INACTIVITY, COMPLIANCE_KYC, COMPLIANCE_EDD, COMPLIANCE_SCREENING, COMPLIANCE_INVESTIGATION, COMPLIANCE_INCOMPLETE, RISK_FRAUD, LEGAL_ORDER, ADMINISTRATIVE Optionally filter by identity requirement type. Only returns identities with at least one active requirement matching all requirement_* filters that are set.
- ID_VERIFICATION: Identity verification via a passthrough provider is pending or failed.
- DOCUMENT_VERIFICATION: Document review for an institution is pending or failed.
- SCREENING_CHECK: Identity screening check is pending or failed.
- COMPLIANCE_CHECK: A compliance check is pending or failed.
- ENHANCED_DUE_DILIGENCE: Enhanced due diligence review is pending or failed.
- MEMBERS: One or more institution members have a non-approved status.
- KYC_REFRESH: KYC refresh is overdue or in progress.
- TAX_DETAILS_VERIFICATION: Tax details verification is pending or failed.
ID_VERIFICATION, DOCUMENT_VERIFICATION, SCREENING_CHECK, COMPLIANCE_CHECK, ENHANCED_DUE_DILIGENCE, MEMBERS, KYC_REFRESH, TAX_DETAILS_VERIFICATION Optionally filter by identity requirement status. Only returns identities with an active requirement whose status is any of these values.
PENDING, FAILED Optionally filter by which party must act to resolve a requirement. Only returns identities with an active requirement awaiting action from any of these parties. MEMBERS requirements have no awaiting_action_from and never match this filter.
- CLIENT: The client (the integrating partner) must take action to resolve this requirement.
- PAXOS: Paxos is handling this; no action needed from the client.
CLIENT, PAXOS Was this page helpful?